17.06.15 21:57 Alter: 2 yrs

Final version of yaffas 1.5.0

Kategorie: Nachrichten

We are happy to announce the immediate availability of yaffas-1.5.0 final.

The highlights include support for Ubuntu 14.04 (trusty), the latest version of Zarafa 7.1.12 (Changelog) and z-push-2.2.1.

Other notable improvements and bug fixes include:

  • Support for whitelisting full networks in the Mailserver Security Module.
  • Support for connecting to ActiveDirectory environements with non-standard Workgroups.
  • Support for authenticated LDAP binds in WebApp's password change module (thanks to Sven Auhagen for the Patch).
  • The timezone selection dialog is now more robust.
  • The fetchmail module now supports delivery to aliases and arbitrary mail addresses.
  • The network configuration module got more tolerant to changes in network configuration files.
  • The certificate management module now handles intermediate certificates as well as windows line breaks in certificates.
  • There have been several changes to improve usability (e.g. display of proper Zarafa version).

A list of all relevant tickets can be found in our issue tracker.

Existing installations can be upgraded just by running "apt-get update && apt-get upgrade" on Debian/Ubuntu-based systems or "yum upgrade" on RHEL-based systems.

Further documentation can be found in our updated documentation.

If you encounter any dependency problems on RHEL-based systems, please refer to the relevant documentation chapter regarding clamav and amavisd.

Under certain circumstances, WebApp-2.0 will not automatically be installed on Debian-/Ubuntu-based systems.

In this case, installation has to be started manually:

  apt-get install zarafa-webapp=2*

A similar problem is reported to occur in RHEL-based systems. The following workaround will help in this case:

  yum downgrade "zarafa-webapp-2*"

Please also note that RHEL5 and Ubuntu 10.04 do not receive updates to WebApp 2.0 as Zarafa does not provide the relevant packages anymore.

Thanks to all the beta testers! Please keep in mind to change your repository URL back to the normal address (please refer to the "installation" step in the docs for that).